LINK_NTOA(3)

NAME
link_ntoa - elementary address specification routine for link level access

SYNOPSIS
#include <sys/types.h>
#include <sys/socket.h>
#include <net/if_dl.h>
char *
link_ntoa(const struct sockaddr_dl *sdl);

DESCRIPTION
The link_ntoa() function takes a link-level address and returns an ASCII string representing some of the information present, including the link level address itself, and the interface name or number, if present. This facility is experimental and is still subject to change.

RETURN VALUES
link_ntoa() always returns a NUL-terminated string.

SEE ALSO
ifconfig(8)

HISTORY
The link_ntoa() function appeared in 4.3BSD Reno.

BUGS
The returned values for link_ntoa() reside in a static memory area.

If the sdl_len field of the link socket address sdl is 0, link_ntoa() will not insert a colon before the interface address bytes.